<?php
require_once('../../../includes/load.php');
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
	$operacion = remove_junk($db->escape($_POST['operacion']));
    $actividad = remove_junk($db->escape($_POST['actividad']));
    $he_operario = remove_junk($db->escape($_POST['he_operario']));
    $cant_tractor = remove_junk($db->escape($_POST['cant_tractor']));
    $supervisor = remove_junk($db->escape($_POST['supervisor']));
    $fecha = remove_junk($db->escape($_POST['fecha']));
    $h_maquinas = remove_junk($db->escape($_POST['h_maquinas']));
    $tractorista = remove_junk($db->escape($_POST['tractorista']));
    $grupo = remove_junk($db->escape($_POST['grupo']));
    $operario = remove_junk($db->escape($_POST['operario']));
    $he_tractorista = remove_junk($db->escape($_POST['he_tractorista']));
    $he_maquina = remove_junk($db->escape($_POST['he_maquina']));
    $observacion = remove_junk($db->escape($_POST['observacion']));
    $registro=date("Y-m-d");
    $fechaEntera = strtotime($fecha);
    $mes = date("m", $fechaEntera);
    $HEJornal = ($he_operario / 8);
    $HEJornalTractorista = ($he_tractorista / 8);

   
  #poner las divisiones en entero
    
 
    $query ="INSERT INTO detalleoperacion(FechaRegistroDetalleOperacion, Jornal, HorasExtras, HorasMaquina, HorasExtrasMaquina, IdOperacion, IdActividad, IdSupervisor, IdGrupo, FechaActividad, IdMesIngresoRealizaActividad, ObservacionDetalleOperacion, HEJornal, CantidadTractor, JornalTractorista, HorasExtrasTractorista, HEJornalTractorista) VALUES ('$registro','$operario','$he_operario','$h_maquinas','$he_maquina','$operacion','$actividad','$supervisor','$grupo','$fecha','$mes','$observacion','$HEJornal','$cant_tractor','$tractorista','$he_tractorista','$HEJornalTractorista')";

    if ($db->query($query)) {
        echo 'success';
    } else {
        echo 'fail';
    }
} 




            



